[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Grids' (#lcl)

# TVirtualGrid.doNewItem

Creates a new item at the location specified by Col and Row.

## Declaration

Source position: grids.pas line 422

`protected procedure TVirtualGrid.doNewItem(`
`Sender: TObject;`
`Col: Integer;`
`Row: Integer;`
`var Item: Pointer`
`);`

## Arguments

`Sender` |  | Class instance where the new item is created.
`Col` |  | Ordinal column number where the new item is created.
`Row` |  | Ordinal row number where the new item is created.
`Item` |  | Pointer to the item data created in the handler routine.

## Description

This method implements the handler routine assigned to the OnNewItem event handler in the internal class used to maintain row or column values.

## See also

TVirtualGrid.Create |  | Constructor for the class instance.
TPointerPointerArray.OnNewItem
TOnNotifyItem